:root {
	font-family: Inter, sans-serif;
	font-feature-settings: 'liga' 1, 'calt' 1;
}

@supports (font-variation-settings: normal) {
	:root {
		font-family: "Merriweather", serif;
	}
}

body {
	user-select: none;
	padding: 0;
	margin: 0;
	background-color: rgb(30, 30, 30);
	color: rgb(211, 211, 211);
	overflow-x: hidden;
}

#header {
	padding-left: 8%;
	background-color: rgb(0, 0, 0);
	padding-right: 8%;
	height: 8vh;
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	align-items: center;
	color: white;
	z-index: 999;
}

#header #links {
	display: flex;
	flex-direction: row;
	gap: 1.2rem;

}

#header #links a {
	color: white;
	text-decoration: none;
	font-size: 100%;
}

#header #links a:hover {
	color: rgb(230, 171, 255);
	text-decoration: underline;
}

#header #links .currently-selected {
	text-decoration: underline;
	text-decoration-style: wavy;
}

#banner {
	height: 6vh;
	padding-left: 8%;
	padding-right: 8%;
	background: linear-gradient(224deg, rgba(71, 59, 125, 1) 0%, rgb(37, 25, 56) 100%);
	display: flex;
	align-content: center;
	justify-content: space-between;
	text-align: center;
}

.hero {
	height: 92vh;
	padding-left: 20%;
	padding-right: 20%;
	background-image:
		url(web-assets/artworks/mainmenu.webp);
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
	display: flex;
	flex-direction: column;
	justify-content: center;
	font-size: 1.4rem;
	text-shadow: 0px 3px 7px rgba(0, 0, 0, 0.61);

}

.hero-small {
	height: 30%;
	padding-left: 20%;
	padding-right: 20%;
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: space-between;
	font-size: 1.4rem;
	text-shadow: 0px 3px 7px rgba(0, 0, 0, 0.61);
	color: white;
}

.hero-small * {
	width: 50%;
}

.hero-adipl {
	background-image:
		url(web-assets/artworks/mainmenu.webp);
}

.hero-rideinformationhud {
	background-image:
		linear-gradient(270deg, rgb(0, 0, 0, 0.8), rgb(0, 0, 0, 0.5)),
		url(web-assets/artworks/rideinformation.webp);
}

.hero * {
	padding: 4%;
	color: white;
	text-align: center;
}

.emphasis img {
	max-width: 100%;
}

#content {
	font-size: 1.2rem;
	text-align: justify;
	padding-left: 32%;
	padding-right: 32%;
	padding-top: 8%;
	padding-bottom: 8%;
	background-color: black;
}

#content-wide {
	font-size: 1.2rem;
	text-align: justify;
	padding-left: 24%;
	padding-right: 24%;
	padding-top: 8%;
	padding-bottom: 8%;
	background-color: black;
}

img {
	width: 100%;
}

#content h1 {
	padding-bottom: 2%;
}

#content #artwork-container {
	display: grid;
	grid-template-columns: repeat(1, 1fr);
}

.emphasis {
	padding: 4%;
	background-color: rgb(0, 0, 0);
	border: 2px solid rgb(103, 77, 115);
	border-radius: 8px;
}

.error {
	border: 2px solid rgb(115, 77, 77);
}

.artwork {
	margin-top: 4%;
	border-radius: 8px;
	overflow: hidden;
}

.artwork-info {
	background-color: rgb(15, 15, 15);
	padding: 4%;
	text-align: left;
	font-size: 1.2rem;
}


.mono {
	font-family: monospace;
	font-size: 1rem;
	color: rgb(180, 180, 180);
}

hr {
	margin: 5%;
}

#footer {
	padding-top: 4%;
	padding-bottom: 4%;
	padding-left: 8%;
	padding-right: 8%;
	background-color: rgb(30, 30, 30);
	color: white;
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	grid-template-rows: repeat(1, 1fr);
	gap: 8px;
	flex-wrap: wrap;
	flex-direction: column;
	justify-content: center;
	font-size: 0.9rem;
}

#footer #footer-text {
	text-align: right;
}

#footer #footer-links {
	display: flex;
	flex-direction: row;
	justify-content: center;
	text-align: center;
	gap: 2%;
}

a {
	color: rgb(235, 189, 255);
	text-decoration: none;
}

a:hover {
	color: rgb(255, 255, 255);
}

#header .currently-selected {
	color: rgb(235, 189, 255);
}


#links-dropdown {
	display: none;
}

@media (max-width: 630px) {


	#links a {
		display: none;
	}

	#links-dropdown {
		display: block;
		padding: 10px;
		border-radius: 8px;
		background-color: rgb(30, 30, 30);
		border: 1px solid rgb(100, 74, 111);
		color: white;
	}

	#hero p {
		font-size: 80%;
	}


}


@media (max-width: 1000px) {

	#banner {
		padding-left: 8%;
		padding-right: 8%;
		background: linear-gradient(224deg, rgba(71, 59, 125, 1) 0%, rgb(37, 25, 56) 100%);
	}

	#content {
		font-size: 1.2rem;
		text-align: justify;
		padding: 8%;
		color: white;
		background-color: black;
	}

	#content-wide {
		font-size: 1.2rem;
		text-align: justify;
		padding: 8%;
		background-color: black;
	}

	#footer {
		padding-top: 8%;
		padding-bottom: 8%;
		padding-left: 8%;
		padding-right: 8%;
		background-color: rgb(30, 30, 30);
		color: white;
		display: grid;
		grid-template-columns: repeat(1, 1fr);
		grid-template-rows: repeat(2, 1fr);
		gap: 8px;
		flex-wrap: wrap;
		flex-direction: column;
		justify-content: center;
		font-size: 0.9rem;
	}

	#footer #footer-links {
		display: none;
	}

	#footer #logo-footer {
		padding-bottom: 10%;
		display: flex;
		justify-content: center;
	}

	#footer #footer-text {
		text-align: center;
	}

	#content #artwork-container {
		display: grid;
		grid-template-columns: repeat(1, 1fr);
	}

	.hero-small {
		height: max-content;
		padding: 20%;
		background-repeat: no-repeat;
		background-size: cover;
		background-position: center;
		display: flex;
		flex-direction: column;
		align-items: center;
		justify-content: space-around;
		font-size: 1.4rem;
		text-shadow: 0px 3px 7px rgba(0, 0, 0, 0.61);
		color: white;
	}
}